### Function

# ECal util_has_alarms_in_range

since: 3.48

#### Declaration [src]

    gboolean
    e_cal_util_has_alarms_in_range (
      ECalComponent* comp,
      time_t start,
      time_t end,
      ECalComponentAlarmAction* omit,
      ECalRecurResolveTimezoneCb resolve_tzid,
      gpointer user_data,
      ICalTimezone* default_timezone
    )

#### Description [src]

Checks whether the `comp` has any alarms in the given time interval.

Available since: 3.48

#### Parameters

`comp`

  Type: `ECalComponent`

  An `ECalComponent` to check alarms for.

  The data is owned by the caller of the function.

`start`

  Type: `time_t`

  Start time.

`end`

  Type: `time_t`

  End time.

`omit`

  Type: `ECalComponentAlarmAction`

  Alarm types to omit.

  The data is owned by the caller of the function.

`resolve_tzid`

  Type: `ECalRecurResolveTimezoneCb`

  Callback for resolving timezones.

`user_data`

  Type: `gpointer`

  Data to be passed to the resolve_tzid callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`default_timezone`

  Type: `None`

  The timezone used to resolve DATE and floating DATE-TIME values.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE`, when the #comp has any alarms in the given time interval.